## org.eclipse.jst.jsf.context.symbol
Interface IMapTypeDescriptor

All Superinterfaces:
  ITypeDescriptor

All Known Subinterfaces:
  IBoundedMapTypeDescriptor

    public interface IMapTypeDescriptor

extends ITypeDescriptor

A representation of the model object 'IMap Type Descriptor'.

Provisional API - subject to change

The following features are supported:

- `Map Source`
- `Immutable`

See Also:
  `SymbolPackage.getIMapTypeDescriptor()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.util.Map` `getMapSource()` Returns the value of the 'Map Source' attribute
`boolean` `isImmutable()` Returns the value of the 'Immutable' attribute.
`void` `setImmutable(boolean value)` Sets the value of the '`Immutable`' attribute
`void` `setMapSource(java.util.Map value)` Sets the value of the '`Map Source`' attribute

Methods inherited from interface org.eclipse.jst.jsf.context.symbol.ITypeDescriptor
`calculateSyntheticCall, getArrayElement, getInterfaceTypeSignatures, getJdtContext, getMethods, getProperties, getSuperTypeSignatures, getTypeParameterSignatures, getTypeSignature, getTypeSignatureDelegate, instanceOf, isArray, isEnumType, resolveType, setEnumType, setJdtContext, setTypeSignatureDelegate`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getMapSource

    java.util.Map getMapSource()

  Returns the value of the 'Map Source' attribute.

  If the meaning of the 'Map Source' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Map Source' attribute.
  See Also:
    `setMapSource(Map)`, `SymbolPackage.getIMapTypeDescriptor_MapSource()`

### setMapSource

    void setMapSource(java.util.Map value)

  Sets the value of the '`Map Source`' attribute.

  Parameters:
    `value` - the new value of the 'Map Source' attribute.
  See Also:
    `getMapSource()`

### isImmutable

    boolean isImmutable()

  Returns the value of the 'Immutable' attribute. The default value is `"true"`.

  If the meaning of the 'Immutable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Immutable' attribute.
  See Also:
    `setImmutable(boolean)`, `SymbolPackage.getIMapTypeDescriptor_Immutable()`

### setImmutable

    void setImmutable(boolean value)

  Sets the value of the '`Immutable`' attribute.

  Parameters:
    `value` - the new value of the 'Immutable' attribute.
  See Also:
    `isImmutable()`